[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
[ide-dev] java.lang.ClassNotFoundException: org.eclipse.jetty.websocket.server.WebSocketServerFactory - Appears on IDE only

Hi,

I am getting this error now and not sure how to resolve it. The problem is, I have both websocket-server.jar and websocket-servlet.jar (9.3.22.v20171030) listed in MANIFEST.MF. Unless i manually include to âRuntime-Classpathâ. I have no way to get the âRuntimeâ to successfully recognize  org.eclipse.jetty.websocket.server.WebSocketServerFactory. Following are part of MANIFEST.MF (minus irrelevant items), and i also confirm that âRun Configurationsâ have both of these websocket plugins enabled. Please provide some guidance how to resole this issue. Thanks. 


MANIFEST.MF
----------------------
Manifest-Version: 1.0
Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .,
 lib/tyrus-client-1.13.1.jar,
 lib/tyrus-core-1.13.1.jar,
 lib/tyrus-container-grizzly-client-1.13.1.jar,
 lib/tyrus-spi-1.13.1.jar,
 lib/grizzly-core-2.4.2.jar,
 lib/grizzly-http-2.4.2.jar,
 lib/javax.websocket-api-1.1.jar,
 lib/jetty-proxy-9.3.22.v20171030.jar
Bundle-ManifestVersion: 2
Bundle-Name: TalentSwitchUI Binding
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-SymbolicName: org.openhab.binding.xxxxx;singleton:=true
Bundle-Vendor: openHAB
Bundle-Version: 2.2.0.qualifier
Export-Package
 org.openhab.binding.xxxxxx
Import-Package
 com.fasterxml.jackson.annotation;version="2.4.5",
 javax.servlet;version="3.1.0",
 javax.servlet.http;version="3.1.0",
 javax.ws.rs.core,
 org.eclipse.jetty.client;version="9.3.22",
 org.eclipse.jetty.client.api;version="9.3.22",
 org.eclipse.jetty.client.http;version="9.3.22",
 org.eclipse.jetty.client.util;version="9.3.22",
 org.eclipse.jetty.http;version="9.3.22",
 org.eclipse.jetty.http.pathmap;version="9.3.22",
 org.eclipse.jetty.io;version="9.3.22",
 org.eclipse.jetty.io.ssl;version="9.3.22",
 org.eclipse.jetty.util;version="9.3.22",
 org.eclipse.jetty.util.annotation;version="9.3.22",
 org.eclipse.jetty.util.component;version="9.3.22",
 org.eclipse.jetty.util.log;version="9.3.22",
 org.eclipse.jetty.util.preventers;version="9.3.22",
 org.eclipse.jetty.util.resource;version="9.3.22",
 org.eclipse.jetty.util.security;version="9.3.22",
 org.eclipse.jetty.util.ssl;version="9.3.22",
 org.eclipse.jetty.util.statistic;version="9.3.22",
 org.eclipse.jetty.util.thread;version="9.3.22",
 org.eclipse.jetty.util.thread.strategy;version="9.3.22",
 org.eclipse.jetty.websocket.api;version="9.3.22",
 org.eclipse.jetty.websocket.api.annotations;version="9.3.22",
 org.eclipse.jetty.websocket.api.extensions;version="9.3.22",
 org.eclipse.jetty.websocket.api.util;version="9.3.22",
 org.eclipse.jetty.websocket.client;version="9.3.22",
 org.eclipse.jetty.websocket.client.io;version="9.3.22",
 org.eclipse.jetty.websocket.client.masks;version="9.3.22",
 org.eclipse.jetty.websocket.common;version="9.3.22",
 org.eclipse.jetty.websocket.common.events;version="9.3.22",
 org.eclipse.jetty.websocket.common.events.annotated;version="9.3.22",
 org.eclipse.jetty.websocket.common.extensions;version="9.3.22",
 org.eclipse.jetty.websocket.common.extensions.compress;version="9.3.22",
 org.eclipse.jetty.websocket.common.extensions.fragment;version="9.3.22",
 org.eclipse.jetty.websocket.common.extensions.identity;version="9.3.22",
 org.eclipse.jetty.websocket.common.frames;version="9.3.22",
 org.eclipse.jetty.websocket.common.io;version="9.3.22",
 org.eclipse.jetty.websocket.common.io.http;version="9.3.22",
 org.eclipse.jetty.websocket.common.io.payload;version="9.3.22",
 org.eclipse.jetty.websocket.common.message;version="9.3.22",
 org.eclipse.jetty.websocket.common.scopes;version="9.3.22",
 org.eclipse.jetty.websocket.common.util;version="9.3.22",
 org.eclipse.jetty.websocket.server;version="9.3.22",
 org.eclipse.jetty.websocket.server.pathmap;version="9.3.22",
 org.eclipse.jetty.websocket.servlet;version="9.3.22",
 org.eclipse.osgi.util;version="1.1.0",
 â...
 org.osgi.framework,
 org.osgi.framework.wiring;version="1.2.0",
 org.osgi.service.cm;version="1.5.0",
 org.osgi.service.component,
 org.osgi.service.http,
 org.slf4j
Service-Component: OSGI-INF/*.xml 
Regards,

Felix Lo